EntryNotFoundException (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache

## Class EntryNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheException
          - - org.apache.geode.cache.EntryNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class EntryNotFoundException
      extends CacheException

  Thrown when an operation is invoked on `Region` for an entry that doesn't exist in the `Region`. This exception is not thrown by `Region.get(Object)` or `Region.getEntry(java.lang.Object)`.
  Since:
    GemFire 3.0
  See Also:
    `Region.invalidate(Object)`, `Region.destroy(Object)`, `Region.Entry`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryNotFoundException(java.lang.String msg)` Constructs an instance of `EntryNotFoundException` with the specified detail message.
    `EntryNotFoundException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of `EntryNotFoundException` with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntryNotFoundException

          public EntryNotFoundException(java.lang.String msg)

      Constructs an instance of `EntryNotFoundException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### EntryNotFoundException

          public EntryNotFoundException(java.lang.String msg,
                                        java.lang.Throwable cause)

      Constructs an instance of `EntryNotFoundException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable